Page MenuHomePhabricator

Implement 'date' and 'daterange' fields in HTMLForm
Closed, ResolvedPublic

Description

Implement 'date' and 'daterange' fields in HTMLForm.

Support for <input type="date"/> is not widespread yet, so this needs a JavaScript date picker. Currently jQuery-UI-backed implementation lives in ApiFeatureUsage and SecurePoll (search for HTMLForm::$typeMappings['date']). We want to migrate these to core, backed by OOjs UI widgets.

Abandoned core patch: https://gerrit.wikimedia.org/r/#/c/118111/

Event Timeline

matmarex created this task.Apr 19 2015, 5:37 PM
matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added a project: MediaWiki-HTMLForm.
matmarex added subscribers: matmarex, Anomie.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 19 2015, 5:37 PM
Aklapper triaged this task as Medium priority.Apr 20 2015, 9:30 AM
Volker_E closed this task as Resolved.Mar 26 2019, 11:04 PM
Volker_E assigned this task to Anomie.
Volker_E added a subscriber: Volker_E.

date has been implemented in HTMLForm in Iaa8b5892b6c3a1f3698cef59684cc3cdc9d483ea.
There are no strong reasons to keep this task open.